Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Assemblée Générale Ordinaire de Borsalinux-fr de 2023

#1 22/07/2014 15:56:32

lyann
Membre
Inscription : 04/07/2010
Messages : 172

[Résolu] plugin java inutilisable

Bonjour,

Je sais que le sujet a déjà été abordé mais je n'ai pas trouvé de solutions, donc je vous soumets mon soucis:

Que cela soit avec firefox ou midori je n'arrive pas a utiliser le plugin java, il est bien reconnu mais j'ai chaque fois le message le plugin java a planter recherager la page, ce que je fais et qui ne change rien.

Je précise tout de suite qu'en essayant d'utiliser openjdk et icedtea rien n'ai reconnu, en installant le jre d'Oracle, j'ai une reconnaissance mais cela ne fonctionne pas. Comme je suis sous 64 bits, j'ai aussi essayé en installant le 32 et le 64 en même temps mais sans effets

Sous un terminal voici lem message que j'obtiens :

Didn't find JVM under /home/yann/.mozilla/plugins
plugin-container: ../../../../src/plugin/solaris/plugin2/common/JavaVM.c :170 : InitializeJVM:  l'assertion « foundJVM » a échoué.

###!!! [Parent][MessageChannel::InterruptCall] Error: Channel error: cannot send/recv

Et quand j'ouvre firefox à la page about:plugins j'obtiens ceci :

Java(TM) Plug-in 10.65.2

    Fichier : libnpjp2.so
    Chemin : /home/yann/.mozilla/plugins/libnpjp2.so
    Version : 10.65.2
    État : Activé
    Next Generation Java Plug-in 10.65.2 for Mozilla browsers

Ce qui signifie pour moi que firefox voit bien java, mais pourtant il plante chaque fois, comme le montre la suite :

application/x-java-vm	Java&#153 Plug-in	
application/x-java-applet	Java&#153 Plug-in Applet	
application/x-java-bean	Java&#153 Plug-in JavaBeans	
application/x-java-applet;version=1.1	Java&#153 Plug-in	
application/x-java-bean;version=1.1	Java&#153 Plug-in	
application/x-java-applet;version=1.1.1	Java&#153 Plug-in	
application/x-java-bean;version=1.1.1	Java&#153 Plug-in	
application/x-java-applet;version=1.1.2	Java&#153 Plug-in	
application/x-java-bean;version=1.1.2	Java&#153 Plug-in	
application/x-java-applet;version=1.1.3	Java&#153 Plug-in	
application/x-java-bean;version=1.1.3	Java&#153 Plug-in	
application/x-java-applet;version=1.2	Java&#153 Plug-in	
application/x-java-bean;version=1.2	Java&#153 Plug-in	
application/x-java-applet;version=1.2.1	Java&#153 Plug-in	
application/x-java-bean;version=1.2.1	Java&#153 Plug-in	
application/x-java-applet;version=1.2.2	Java&#153 Plug-in	
application/x-java-bean;version=1.2.2	Java&#153 Plug-in	
application/x-java-applet;version=1.3	Java&#153 Plug-in	
application/x-java-bean;version=1.3	Java&#153 Plug-in	
application/x-java-applet;version=1.3.1	Java&#153 Plug-in	
application/x-java-bean;version=1.3.1	Java&#153 Plug-in	
application/x-java-applet;version=1.4	Java&#153 Plug-in	
application/x-java-bean;version=1.4	Java&#153 Plug-in	
application/x-java-applet;version=1.4.1	Java&#153 Plug-in	
application/x-java-bean;version=1.4.1	Java&#153 Plug-in	
application/x-java-applet;version=1.4.2	Java&#153 Plug-in	
application/x-java-bean;version=1.4.2	Java&#153 Plug-in	
application/x-java-applet;version=1.5	Java&#153 Plug-in	
application/x-java-bean;version=1.5	Java&#153 Plug-in	
application/x-java-applet;version=1.6	Java&#153 Plug-in	
application/x-java-bean;version=1.6	Java&#153 Plug-in	
application/x-java-applet;version=1.7	Java&#153 Plug-in	
application/x-java-bean;version=1.7	Java&#153 Plug-in	
application/x-java-applet;jpi-version=1.7.0_65	Java&#153 Plug-in	
application/x-java-bean;jpi-version=1.7.0_65	Java&#153 Plug-in	
application/x-java-applet;deploy=10.65.2	Java&#153 Plug-in	
application/x-java-vm-npruntime	Java&#153 Plug-in

Merci par avance pour votre aide

EDIT :

Quelques précisions :

- je suis a jour

- j'utilise LXDE

la console me renvoie ceci :

[yann@localhost ~]$ java -version
java version "1.7.0_65"
Java(TM) SE Runtime Environment (build 1.7.0_65-b17)
Java HotSpot(TM) 64-Bit Server VM (build 24.65-b04, mixed mode)

-j'ai une carte graph nvidia avec pilote proprio
- Flash fonctionne normalement

Dernière modification par lyann (22/07/2014 16:56:29)

Hors ligne

#2 22/07/2014 17:15:46

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 23 858

Re : [Résolu] plugin java inutilisable

Tu as réglé la sécurité de Java, qui devient très chatouilleuse ?
J'ignore si ça peut influer mais vérifie quand même.


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#3 22/07/2014 19:30:14

lyann
Membre
Inscription : 04/07/2010
Messages : 172

Re : [Résolu] plugin java inutilisable

merci de te pencher sur mon problème, non je n'ai rien touché après l'installation. Jen ne sais pas ou règler la sécurité étant donné qu'il n'y a pas d'entrée java dans le menu ni dans Administration ,ni dans outils système, ni dans préférences.

Par contre LibreOffice reconnait java ...

Quand je tape dans un terminal utilisateur :

[yann@localhost ~]$ javaws -version
Java(TM) Web Start 10.65.2.17-fcs 
Syntaxe :	javaws [run-options] <jnlp-file>	
	javaws [control-options]		

où les options d'exécution sont :			
-verbose       	affichage de texte de sortie supplémentaire	
-offline       	exécution de l'application en mode hors ligne	
-system        	exécution de l'application à partir du cache système uniquement
-Xnosplash     	exécution sans affichage de l'écran d'accueil	
-J<option>     	spécification d'une option à la machine virtuelle	
-wait          	lancement du processus Java et attente de sa fermeture	

les options de contrôle sont :	
-viewer        	affichage du visionneur du cache dans le panneau de configuration Java
-clearcache    	suppression de toutes les applications non installées du cache
-uninstall     	suppression de toutes les applications du cache
-uninstall <jnlp-file>              	désinstallation de l'application dans le cache	
-import [import-options] <jnlp-file>	import de l'application dans le cache	

les options d'import sont :						
-silent        	import silencieux (sans interface utilisateur)	
-system        	import de l'application dans le cache système	
-codebase <url>	extraction des ressources à partir d'une base de code spécifique
-shortcut      	installation des raccourcis comme si l'utilisateur avait autorisé l'opération	
-association   	installation des associations comme si l'utilisateur avait autorisé l'opération	

Et si je tape javaws -viewer pour voir l'onglet sécurité est réglé a élevé ce qui semble être le réglage par défaut

Hors ligne

#4 22/07/2014 20:18:35

lyann
Membre
Inscription : 04/07/2010
Messages : 172

Re : [Résolu] plugin java inutilisable

Autres précisions :

Si je désactive SELinux c'est pareil si je diminue la sécurité dans Java aussi.

Sinon, il y a aussi :

[yann@localhost ~]$ ls -l /usr/lib64/mozilla/plugins
total 0
lrwxrwxrwx. 1 root root 41 22 juil. 16:02 libjavaplugin.so -> /etc/alternatives/libjavaplugin.so.x86_64
lrwxrwxrwx. 1 root root 42 22 juil. 19:44 libnpjp2.so -> /usr/java/latest/jre/lib/amd64/libnpjp2.so

et

[yann@localhost ~]$ ll /etc/alternatives/
total 0
lrwxrwxrwx. 1 root root 39  7 juil. 16:37 cifs-idmap-plugin -> /usr/lib64/cifs-utils/cifs_idmap_sss.so
lrwxrwxrwx. 1 root root 34  3 avril 02:04 faked.1.gz -> /usr/share/man/man1/faked-tcp.1.gz
lrwxrwxrwx. 1 root root 37  3 avril 02:04 faked.de.1.gz -> /usr/share/man/de/man1/faked-tcp.1.gz
lrwxrwxrwx. 1 root root 37  3 avril 02:04 faked.es.1.gz -> /usr/share/man/es/man1/faked-tcp.1.gz
lrwxrwxrwx. 1 root root 37  3 avril 02:04 faked.fr.1.gz -> /usr/share/man/fr/man1/faked-tcp.1.gz
lrwxrwxrwx. 1 root root 37  3 avril 02:04 faked.nl.1.gz -> /usr/share/man/nl/man1/faked-tcp.1.gz
lrwxrwxrwx. 1 root root 37  3 avril 02:04 faked.sv.1.gz -> /usr/share/man/sv/man1/faked-tcp.1.gz
lrwxrwxrwx. 1 root root 21  3 avril 02:04 fakeroot -> /usr/bin/fakeroot-tcp
lrwxrwxrwx. 1 root root 37  3 avril 02:04 fakeroot.1.gz -> /usr/share/man/man1/fakeroot-tcp.1.gz
lrwxrwxrwx. 1 root root 40  3 avril 02:04 fakeroot.de.1.gz -> /usr/share/man/de/man1/fakeroot-tcp.1.gz
lrwxrwxrwx. 1 root root 40  3 avril 02:04 fakeroot.es.1.gz -> /usr/share/man/es/man1/fakeroot-tcp.1.gz
lrwxrwxrwx. 1 root root 40  3 avril 02:04 fakeroot.fr.1.gz -> /usr/share/man/fr/man1/fakeroot-tcp.1.gz
lrwxrwxrwx. 1 root root 40  3 avril 02:04 fakeroot.nl.1.gz -> /usr/share/man/nl/man1/fakeroot-tcp.1.gz
lrwxrwxrwx. 1 root root 40  3 avril 02:04 fakeroot.sv.1.gz -> /usr/share/man/sv/man1/fakeroot-tcp.1.gz
lrwxrwxrwx. 1 root root 29 22 juil. 13:57 java -> /usr/java/latest/jre/bin/java
lrwxrwxrwx. 1 root root 15  3 avril 00:14 ld -> /usr/bin/ld.bfd
lrwxrwxrwx. 1 root root 42 22 juil. 16:02 libjavaplugin.so.x86_64 -> /usr/java/latest/jre/lib/amd64/libnpjp2.so
lrwxrwxrwx. 1 root root 34  7 juil. 16:37 libnssckbi.so.x86_64 -> /usr/lib64/pkcs11/p11-kit-trust.so
lrwxrwxrwx
...

C'est des commandes qui peuvent peut-être aidé

Hors ligne

#5 22/07/2014 23:18:14

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 23 858

Re : [Résolu] plugin java inutilisable

Le panneau de controle de java s'appelle jcontrol


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#6 23/07/2014 19:35:21

jimmo78
Membre
Lieu : Montigny le Bretonneux
Inscription : 30/01/2008
Messages : 270
Site Web

Re : [Résolu] plugin java inutilisable

bonjour,
visiblement  javaws n'est pas installé chez toi ce qui n'est pas nécessaire sauf à faire du développement, java suffit.
Pour accéder à la console tapes ça dans un terminal:

su -
cd '/usr/java/TA VERSION DE JAVA/bin'
./ControlPanel

et tu auras accès à tous les réglages.
Perso je m'en suis servi pour permettre l'accès à des sites de streaming devenus inutilisables.

bonne chance


Jml
Intel® Core™ i5-12600KFx16
16 Gio RAM - Fedora 37 -64 bits- Gnome 43 -X11 - GeForce GTX 1660 - driver NVidia RPMFusion

Hors ligne

#7 30/07/2014 22:39:30

lyann
Membre
Inscription : 04/07/2010
Messages : 172

Re : [Résolu] plugin java inutilisable

Bonsoir,

d'abord merci pour les réponses, mais cela me donne la même chose :le jcontrol de nouvo vaut le controlplanel sauf que je suis en root. Pardon si c'est idiot pour vous mais que dois-je modifier j'ai modifié les réglages de sécurité mais rien ne change et je ne vois pas ce qu'il faut changer en explorant tous les réglages possibles.

Pourriez-vous m'expliquer ce que je dois chercher ?

Merci par avance

Hors ligne

#8 02/08/2014 05:31:36

lyann
Membre
Inscription : 04/07/2010
Messages : 172

Re : [Résolu] plugin java inutilisable

Je poursuis mes recherche et j'ai remarqué un résultat qui me paraît étrange :

[root@localhost ~]# yum whatprovides *libnpjp2.so*
Modules complémentaires chargés : fastestmirror, langpacks
Loading mirror speeds from cached hostfile
 * fedora: ftp.free.fr
 * rpmfusion-free: rpmfusion.famillecollet.com
 * rpmfusion-free-updates: rpmfusion.famillecollet.com
 * rpmfusion-nonfree: rpmfusion.famillecollet.com
 * rpmfusion-nonfree-updates: rpmfusion.famillecollet.com
 * updates: ftp.lip6.fr
ddext/filelists_db                                                                                                                                                                                                     |  59 kB  00:00:00     
fedora/20/x86_64/filelists_db                                                                                                                                                                                          |  27 MB  00:00:24     
rpmfusion-free/20/x86_64/filelists_db                                                                                                                                                                                  | 325 kB  00:00:00     
rpmfusion-free-updates/20/x86_64/filelists_db                                                                                                                                                                          | 219 kB  00:00:00     
rpmfusion-nonfree/20/x86_64/filelists_db                                                                                                                                                                               | 218 kB  00:00:00     
rpmfusion-nonfree-updates/20/x86_64/filelists_db                                                                                                                                                                       |  49 kB  00:00:00     
updates/20/x86_64/filelists_db                                                                                                                                                                                         |  17 MB  00:00:15     
jre-1.7.0_65-fcs.x86_64 : Java Platform Standard Edition Runtime Environment
Dépôt               : ddext
Correspondance depuis :
Nom de fichier : /usr/java/jre1.7.0_65/lib/amd64/libnpjp2.so

De même, je ne crois pas que cela soit anormal mais il y a aussi cette commande qui me paraît refléter mon souci :

[yann@localhost /]$ which java
/bin/java
[yann@localhost /]$ which libnpjp2.so
/usr/bin/which: no libnpjp2.so in (/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/yann/.local/bin:/home/yann/bin)
[yann@localhost /]$ 

Car si j'ai bien compris c'est ce fichier libnpjp2.so qui fait des siennes, et même si je le copie dans le .mozilla/plugins de mon home cela ne change rien.

Si quelqu'un a autre une idée ...

Hors ligne

#9 02/08/2014 09:12:24

antbel
Membre
Inscription : 03/12/2007
Messages : 1 059

Re : [Résolu] plugin java inutilisable

Bonjour,
intrigué par le fil j'ai regardé chez moi . Machine à jour 64 bits  Le résultat est le suivant :

machin@machinchose ~$ java -version
java version "1.7.0_65"
OpenJDK Runtime Environment (fedora-2.5.1.3.fc20-x86_64 u65-b17)
OpenJDK 64-Bit Server VM (build 24.65-b04, mixed mode)

machin@machinchose ~$ which java
/usr/bin/java

Ce qui m'intrigue c'est
/usr/bin/java et OpenJDK
désinstalles ta version et recherche dans les dépots la version standard ???
Bonne journée.


Cicéron c'est Poincaré

Hors ligne

#10 02/08/2014 11:48:51

jimmo78
Membre
Lieu : Montigny le Bretonneux
Inscription : 30/01/2008
Messages : 270
Site Web

Re : [Résolu] plugin java inutilisable

peut-être une indication:
chez moi java est installé dans /usr/bin, dans bin je n'ai qu'un lien vers  /usr/bin/

$ which java
/usr/bin/java

De plus le plugin java pour firefox n'est pas libnpjp2.so mais libjavaplugin.so.
Tu aurais peut-être intérêt à vérifier que java est au bon endroit et installer/réinstaller le plugin en suivant les explications de ce site
c'est en anglais mais ne devrait pas poser de problème, j'utilise cette page à chaque nouvelle version de java.
Pour info j'ai installé la version 1.8.0_05 et voilà les infos sur ma config:

# uname -a
Linux barracuda.home 3.15.6-200.fc20.x86_64 #1 SMP Fri Jul 18 02:36:27 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
# lsb_release -rc
Release:	20
Codename:	Heisenbug
# java -version
java version "1.8.0_05"
Java(TM) SE Runtime Environment (build 1.8.0_05-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.5-b02, mixed mode)

bonne journée


Jml
Intel® Core™ i5-12600KFx16
16 Gio RAM - Fedora 37 -64 bits- Gnome 43 -X11 - GeForce GTX 1660 - driver NVidia RPMFusion

Hors ligne

#11 02/08/2014 15:13:26

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 23 858

Re : [Résolu] plugin java inutilisable

Java(TM) Plug-in 10.60.2

    Fichier : libnpjp2.so
    Chemin : /usr/local/jre1.7.0_60/lib/i386/libnpjp2.so
    Version : 10.60.2
    État : Activé
    Next Generation Java Plug-in 10.60.2 for Mozilla browsers

c'est bien libnpjp2.so.


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#12 02/08/2014 21:24:03

jimmo78
Membre
Lieu : Montigny le Bretonneux
Inscription : 30/01/2008
Messages : 270
Site Web

Re : [Résolu] plugin java inutilisable

@ Nouvo9
Tout à fait, c'est une erreur de ma part, dont acte!


Jml
Intel® Core™ i5-12600KFx16
16 Gio RAM - Fedora 37 -64 bits- Gnome 43 -X11 - GeForce GTX 1660 - driver NVidia RPMFusion

Hors ligne

#13 03/08/2014 04:14:43

lyann
Membre
Inscription : 04/07/2010
Messages : 172

Re : [Résolu] plugin java inutilisable

Merci pour vos réponses.

Alors j'ai donc repris l'installation à zéro et cela coince lors de l'installation de javaws, ou j'ai cette erreur :

[root@localhost ~]# alternatives --install /usr/bin/javaws javaws /usr/java/latest/bin/javaws 200000
impossible de lire le lien /usr/bin/javaws : Aucun fichier ou dossier de ce type

J'ai essayé de réinstallé le rpm mais cela renvoie la même chose, et d'ailleurs :*

[root@localhost ~]# yum install jre
Modules complémentaires chargés : fastestmirror, langpacks
rpmfusion-free-updates                                                                                                                                                                                                 | 3.3 kB  00:00:00     
rpmfusion-nonfree-updates                                                                                                                                                                                              | 3.3 kB  00:00:00     
updates/20/x86_64/metalink                                                                                                                                                                                             |  29 kB  00:00:00     
updates                                                                                                                                                                                                                | 4.9 kB  00:00:00     
updates/20/x86_64/primary_db                                                                                                                                                                                           |  11 MB  00:00:12     
(1/2): updates/20/x86_64/updateinfo                                                                                                                                                                                    | 1.3 MB  00:00:02     
(2/2): updates/20/x86_64/pkgtags                                                                                                                                                                                       | 887 kB  00:00:02     
Loading mirror speeds from cached hostfile
 * fedora: ftp.free.fr
 * rpmfusion-free: fr2.rpmfind.net
 * rpmfusion-free-updates: fr2.rpmfind.net
 * rpmfusion-nonfree: fr2.rpmfind.net
 * rpmfusion-nonfree-updates: fr2.rpmfind.net
 * updates: mirrors.ircam.fr
Le paquet jre-1.7.0_65-fcs.x86_64 est déjà installé dans sa dernière version
Rien à faire

Je sus pourtant bien à jour, et j'ai pourtant bien un executable nommé javaws dans /usr/java/jre1.7.0_65/bin/  et le fichier /usr/bin/javaws existe aussi même si c'est un lien symbolique de 24 octets ce qui ne me semble pas normal mais je me trompe peut-être ??

Dernière modification par lyann (03/08/2014 04:18:00)

Hors ligne

#14 03/08/2014 08:54:50

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 23 858

Re : [Résolu] plugin java inutilisable

Si tu faisais simple ?

Alternatives ne sert à rien sauf aux développeurs qui veulent pouvoir passer d'un java à l'autre.


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#15 03/08/2014 12:33:53

antbel
Membre
Inscription : 03/12/2007
Messages : 1 059

Re : [Résolu] plugin java inutilisable

Re-B.............
nouvo09 te donnes la solution.
Fais simple.
L'élégance est la mère du savoir.
Si tu es dévellopeur fais le... cherches
Sinon prend la solution basique proposée. Développer c'est simplifier
Midi est midi , quatorze heure est quatorze heure.
Réinstalles le OpenJDK.
En un mot ... faire simple... sans polémiquer et par contre donner sa solution opérationnelle. Nous sommes là pour t'aider.


Cicéron c'est Poincaré

Hors ligne

#16 03/08/2014 15:12:48

lyann
Membre
Inscription : 04/07/2010
Messages : 172

Re : [Résolu] plugin java inutilisable

Re,

encore merci de vos réponses.

J'ai essayé de faire simple en installant d'abord icedweb mais ni FF ni midori n'ont vu quoique ce soit , alors après j'ai unstallé le jre d'Oracle qui me donne les erreurs mentionnés dans mon premier poste c'est pourquoi j'ai cherché un peu partout d'ou pourvait venir le problème et que je ne sais/comprend toujours pas ce qui bloque.
Comme je l'ai déja dit j'ai essayé openjdk rien n'est vu par les 2 navigatuers internet et comme le montre mon post 8 libnpjp2.so ne semble pas être trouvé par yum ailleurs que dans le jre.

J'ai aussi essayé un bête copié coler dudit libnpjp2.so dans le .mozilla/plugins de mon HOME ou ce trouve déjà flash qui lui fonctionne sans soucis mais cela me renvoie l'erruer du post 1.

Voila j'espère que ce petit résumé est plus clair que mes précédentes explications.

Encore merci de votre aide en tout cas

Hors ligne

#17 03/08/2014 15:29:28

didierg
Bricoleur du dimanche
Modérateur
Inscription : 11/07/2005
Messages : 5 724

Re : [Résolu] plugin java inutilisable

Déjà que te retourne la commande

rpm -qa | grep -i java

Hors ligne

#18 03/08/2014 16:01:01

lyann
Membre
Inscription : 04/07/2010
Messages : 172

Re : [Résolu] plugin java inutilisable

Voici le résultat demandé ;

[yann@localhost ~]$ rpm -qa | grep -i java
python-javapackages-3.4.1-1.fc20.noarch
tzdata-java-2014e-1.fc20.noarch

Je ne sais pas si c'est normalde ne pas voir le jre ...

Dernière modification par lyann (03/08/2014 16:01:43)

Hors ligne

#19 03/08/2014 16:08:37

didierg
Bricoleur du dimanche
Modérateur
Inscription : 11/07/2005
Messages : 5 724

Re : [Résolu] plugin java inutilisable

Que retournent les commandes

uname -a
rpm -qa firefox 

Je suppose que tu utilises firefox comme navigateur...  Dans tous les cas, le plus  simple est d'essayer de faire fonctionner java avec firefox et éventuellement de vois pour un autre navigateur après...

Hors ligne

#20 03/08/2014 16:12:09

lyann
Membre
Inscription : 04/07/2010
Messages : 172

Re : [Résolu] plugin java inutilisable

@ didierg : oui j'utilise firefox la derniere version à jour (v 31.0) mais comme je l'ai precisé dans mon post 1 j'ai aussi essayé midori et les 2 me renvoie la même erreur quand j'ouvre une page avec java dedans (cf post 1)

Hors ligne

#21 03/08/2014 16:40:36

lyann
Membre
Inscription : 04/07/2010
Messages : 172

Re : [Résolu] plugin java inutilisable

Je me rends compte que je n'ai pas répondu pour tes commandes les voici :

[yann@localhost ~]$ uname -a
Linux localhost.localdomain 3.15.7-200.fc20.x86_64 #1 SMP Mon Jul 28 18:50:26 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
[yann@localhost ~]$ rpm -qa firefox 
firefox-31.0-1.fc20.x86_64
[yann@localhost ~]$ 

Hors ligne

#22 03/08/2014 17:14:09

didierg
Bricoleur du dimanche
Modérateur
Inscription : 11/07/2005
Messages : 5 724

Re : [Résolu] plugin java inutilisable

OK donc on va essayer de faire fonctionner java avec firefox, ce qui ne devrait pas poser de problème...

Que retournent les commandes suivantes passées dans cet ordre:

yum install java-1.7.0-openjdk icedtea-web
rpm -qa | grep -i java
rpm -qa | grep -i icedtea
ll  /usr/lib64 | grep -i iced

Dernière modification par didierg (03/08/2014 17:31:22)

Hors ligne

#23 03/08/2014 18:26:21

lyann
Membre
Inscription : 04/07/2010
Messages : 172

Re : [Résolu] plugin java inutilisable

Alors :

[root@localhost ~]# yum install java-1.7.0-openjdk icedtea-web
Modules complémentaires chargés : fastestmirror, langpacks
Loading mirror speeds from cached hostfile
 * fedora: ftp.free.fr
 * rpmfusion-free: rpmfusion.famillecollet.com
 * rpmfusion-free-updates: rpmfusion.famillecollet.com
 * rpmfusion-nonfree: rpmfusion.famillecollet.com
 * rpmfusion-nonfree-updates: rpmfusion.famillecollet.com
 * updates: mirrors.ircam.fr
Résolution des dépendances
--> Lancement de la transaction de test
---> Le paquet icedtea-web.x86_64 0:1.5-2.fc20 sera installé
--> Traitement de la dépendance : tagsoup pour le paquet : icedtea-web-1.5-2.fc20.x86_64
---> Le paquet java-1.7.0-openjdk.x86_64 1:1.7.0.65-2.5.1.3.fc20 sera installé
--> Traitement de la dépendance : java-1.7.0-openjdk-headless = 1:1.7.0.65-2.5.1.3.fc20 pour le paquet : 1:java-1.7.0-openjdk-1.7.0.65-2.5.1.3.fc20.x86_64
--> Traitement de la dépendance : libjvm.so(SUNWprivate_1.1)(64bit) pour le paquet : 1:java-1.7.0-openjdk-1.7.0.65-2.5.1.3.fc20.x86_64
--> Traitement de la dépendance : libjava.so(SUNWprivate_1.1)(64bit) pour le paquet : 1:java-1.7.0-openjdk-1.7.0.65-2.5.1.3.fc20.x86_64
--> Traitement de la dépendance : libjvm.so()(64bit) pour le paquet : 1:java-1.7.0-openjdk-1.7.0.65-2.5.1.3.fc20.x86_64
--> Traitement de la dépendance : libjava.so()(64bit) pour le paquet : 1:java-1.7.0-openjdk-1.7.0.65-2.5.1.3.fc20.x86_64
--> Traitement de la dépendance : libawt.so()(64bit) pour le paquet : 1:java-1.7.0-openjdk-1.7.0.65-2.5.1.3.fc20.x86_64
--> Lancement de la transaction de test
---> Le paquet java-1.7.0-openjdk-headless.x86_64 1:1.7.0.65-2.5.1.3.fc20 sera installé
--> Traitement de la dépendance : jpackage-utils >= 1.7.3-1jpp.2 pour le paquet : 1:java-1.7.0-openjdk-headless-1.7.0.65-2.5.1.3.fc20.x86_64
---> Le paquet tagsoup.noarch 0:1.2.1-6.fc20 sera installé
--> Lancement de la transaction de test
---> Le paquet javapackages-tools.noarch 0:3.4.1-1.fc20 sera installé
--> Résolution des dépendances terminée

Dépendances résolues

==============================================================================================================================================================================================================================================
 Package                                                              Architecture                                    Version                                                          Dépôt                                            Taille
==============================================================================================================================================================================================================================================
Installation :
 icedtea-web                                                          x86_64                                          1.5-2.fc20                                                       updates                                          1.3 M
 java-1.7.0-openjdk                                                   x86_64                                          1:1.7.0.65-2.5.1.3.fc20                                          updates                                          214 k
Installation pour dépendances :
 java-1.7.0-openjdk-headless                                          x86_64                                          1:1.7.0.65-2.5.1.3.fc20                                          updates                                           25 M
 javapackages-tools                                                   noarch                                          3.4.1-1.fc20                                                     fedora                                            72 k
 tagsoup                                                              noarch                                          1.2.1-6.fc20                                                     fedora                                           112 k

Résumé de la transaction
==============================================================================================================================================================================================================================================
Installation   2 Paquets (+3 Paquets en dépendance)

Taille totale des téléchargements : 27 M
Taille d'installation : 93 M
Is this ok [y/d/N]: y
Downloading packages:
(1/5): java-1.7.0-openjdk-1.7.0.65-2.5.1.3.fc20.x86_64.rpm                                                                                                                                                             | 214 kB  00:00:00     
(2/5): javapackages-tools-3.4.1-1.fc20.noarch.rpm                                                                                                                                                                      |  72 kB  00:00:00     
(3/5): icedtea-web-1.5-2.fc20.x86_64.rpm                                                                                                                                                                               | 1.3 MB  00:00:01     
(4/5): tagsoup-1.2.1-6.fc20.noarch.rpm                                                                                                                                                                                 | 112 kB  00:00:02     
(5/5): java-1.7.0-openjdk-headless-1.7.0.65-2.5.1.3.fc20.x86_64.rpm                                                                                                                                                    |  25 MB  00:00:25     
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                                         1.0 MB/s |  27 MB  00:00:25     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction (shutdown inhibited)
  Installation : javapackages-tools-3.4.1-1.fc20.noarch                                                                                                                                                                                   1/5 
  Installation : tagsoup-1.2.1-6.fc20.noarch                                                                                                                                                                                              2/5 
  Installation : 1:java-1.7.0-openjdk-headless-1.7.0.65-2.5.1.3.fc20.x86_64                                                                                                                                                               3/5 
  Installation : 1:java-1.7.0-openjdk-1.7.0.65-2.5.1.3.fc20.x86_64                                                                                                                                                                        4/5 
  Installation : icedtea-web-1.5-2.fc20.x86_64                                                                                                                                                                                            5/5 
  Vérification : icedtea-web-1.5-2.fc20.x86_64                                                                                                                                                                                            1/5 
  Vérification : tagsoup-1.2.1-6.fc20.noarch                                                                                                                                                                                              2/5 
  Vérification : 1:java-1.7.0-openjdk-headless-1.7.0.65-2.5.1.3.fc20.x86_64                                                                                                                                                               3/5 
  Vérification : 1:java-1.7.0-openjdk-1.7.0.65-2.5.1.3.fc20.x86_64                                                                                                                                                                        4/5 
  Vérification : javapackages-tools-3.4.1-1.fc20.noarch                                                                                                                                                                                   5/5 

Installé :
  icedtea-web.x86_64 0:1.5-2.fc20                                                                              java-1.7.0-openjdk.x86_64 1:1.7.0.65-2.5.1.3.fc20                                                                             

Dépendances installées :
  java-1.7.0-openjdk-headless.x86_64 1:1.7.0.65-2.5.1.3.fc20                                    javapackages-tools.noarch 0:3.4.1-1.fc20                                    tagsoup.noarch 0:1.2.1-6.fc20                                   

Terminé !
[root@localhost ~]# 

Puis après redémarrage :

[root@localhost ~]# rpm -qa | grep -i java
java-1.7.0-openjdk-headless-1.7.0.65-2.5.1.3.fc20.x86_64
python-javapackages-3.4.1-1.fc20.noarch
java-1.7.0-openjdk-1.7.0.65-2.5.1.3.fc20.x86_64
tzdata-java-2014e-1.fc20.noarch
javapackages-tools-3.4.1-1.fc20.noarch
[root@localhost ~]# rpm -qa | grep -i icedtea
icedtea-web-1.5-2.fc20.x86_64
[root@localhost ~]# ll  /usr/lib64 | grep -i iced
-rwxr-xr-x.  1 root root   598896  7 avril 14:48 IcedTeaPlugin.so
[root@localhost ~]# 

Hors ligne

#24 03/08/2014 18:36:07

didierg
Bricoleur du dimanche
Modérateur
Inscription : 11/07/2005
Messages : 5 724

Re : [Résolu] plugin java inutilisable

Peux-tu lancer Firefox et entrer dans la barre d'adresse:

about:plugins

As-tu une section :

IcedTea-Web Plugin (using IcedTea-Web 1.5 (fedora-2.fc20-x86_64))

Dans l'affirmative,  peux-tu essayer d'accéder à la page https://www.java.com/fr/download/installed.jsp et ensuite de cliquer sur "Vérifier la version de Java" ?

Hors ligne

#25 03/08/2014 18:42:12

lyann
Membre
Inscription : 04/07/2010
Messages : 172

Re : [Résolu] plugin java inutilisable

Alors un immense merci cela fonctionne enfin !!

Mais cela n'est pas automatique j'ai du copier le fichier /usr/lib64/IcedTeaPlugin.so dans mon /home/yann/.mozilla/plugins/ , mais ca y est ca fonctionne !

Java est reconnu sur les 3 sites que j'ai essayé .

Encore un grand merc i pint

Hors ligne

Pied de page des forums